ContentListEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Class ContentListEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.hn.content.ContentListEvent

All Implemented Interfaces:
  Serializable

    public class ContentListEvent

extends EventObject

Event which will be sent to registered ContentListListeners when ContentItems have been added/removed.

Author:
  Dr. Immo Benjes , Philips Digital Systems Labs, Redhill, UK
See Also:
  Serialized Form

Field Summary
`static int` | `CONTENT_ADDED` Event ID indicating that content got added to a ContentList
`static int` | `CONTENT_REMOVED` Event ID indicating that content got removed from a ContentList

Constructor Summary
`ContentListEvent(Object source)` Creates a new ContentListEvent with the given object as the source
`ContentListEvent(Object source, ContentItem content, int evt)` Creates a new ContentListEvent with the given source object, the ContentItem involved and an event ID indicating whether the content got added or removed.

Method Summary
`ContentItem` | `getContent()` Returns the ContentItem involved in this event.
`ContentList` | `getContentList()` Returns the ContentList.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENT_ADDED

    public static final int CONTENT_ADDED

  Event ID indicating that content got added to a ContentList

  See Also:
    Constant Field Values

### CONTENT_REMOVED

    public static final int CONTENT_REMOVED

  Event ID indicating that content got removed from a ContentList

  See Also:
    Constant Field Values

Constructor Detail

### ContentListEvent

    public ContentListEvent(Object source)

  Creates a new ContentListEvent with the given object as the source

  Parameters:
    `source` - The source of this event. This must be a ContentList.

### ContentListEvent

    public ContentListEvent(Object source,
                            ContentItem content,
                            int evt)

  Creates a new ContentListEvent with the given source object, the ContentItem involved and an event ID indicating whether the content got added or removed.

  Parameters:
    `source` - The source of this event. This must be a ContentList.
    `content` - the ContentItem involved.
    `evt` - the Event ID, either CONTENT_ADDED or CONTENT_REMOVED.

Method Detail

### getContent

    public ContentItem getContent()

  Returns the ContentItem involved in this event.

  Returns:
    the ContentItem involved.

### getContentList

    public ContentList getContentList()

  Returns the ContentList. This is the source object of the event.

  Returns:
    the ContentList a ContentItem was added to/removed from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD